package com.psol.xdic;

import java.io.*;
import java.net.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;

/**
 * XDic is a simple servlet that "plays the dictionary".
*
 * @version Aug 28, 1999
 * @author Benot Marchal <bmarchal@pineapplesoft.com>
 */

public class XDic
   extends HttpServlet
{
   /**
    * handle GET method, HttpServlet forward GET request from service()
    * to this method
    * @param request the request received from the client
    * @param response interface to the client
    */
   protected void doGet(HttpServletRequest request,
                        HttpServletResponse response)
      throws IOException
   {
      response.setContentType("text/html");
      Writer w = response.getWriter();
      w.write("<HTML>");
      w.write("<HEAD><TITLE>XDic</TITLE></HEAD>\n");
      w.write("<BODY>\n");
      String word = request.getParameter("word");
      if(null != word)
      {
         w.write("<P><B>"); w.write(word); w.write(":</B> ");
         String lowCaseWord = word.toLowerCase();
         String definition = getInitParameter(lowCaseWord);
         if(null == definition)
            w.write("unknown, sorry");
         else
            w.write(definition);
         w.write("\n<HR>\n");
      }
      w.write("<FORM ACTION=\"");
      w.write(request.getRequestURI());
      w.write("\">\n");
      w.write("<INPUT NAME=\"word\">\n");
      w.write("<INPUT TYPE=\"SUBMIT\">\n");
      w.write("</BODY>\n");
      w.write("</HTML>");

      w.flush();
   }
}